Docs navigation
Orchestrations

Update Orchestration Mcp Server

Update Orchestration Mcp Server

PUT/v2/orchestrations/{orchestration_id}/mcp-servers/{name}

Partial update of an existing orchestration-level MCP server, named by the path. See `ScopedMcpServerUpdate` for the write-only semantics of `env` and `headers`.

Path Parameters

orchestration_idstring · uuidrequired
namestringrequired

Request Body

urlstringoptional
commandstringoptional
argsarray<string>optional
envobjectoptional
headersobjectoptional
is_enabledbooleanoptional
iconstringoptional
icon_colorstringoptional
Request
curl --request PUT \
  --url https://api.brainbaselabs.com/v2/orchestrations/{orchestration_id}/mcp-servers/{name} \
  --header 'Authorization: Bearer YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "url": null,
  "command": null,
  "args": null,
  "env": null,
  "headers": null,
  "is_enabled": null,
  "icon": null,
  "icon_color": null
}'
Response
json
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "url": null,
  "command": null,
  "args": [
    "string"
  ],
  "is_enabled": true,
  "icon": null,
  "icon_color": null,
  "env_keys": [
    "string"
  ],
  "headers_keys": [
    "string"
  ],
  "env_refs": {
    "property1": "string",
    "property2": "string"
  },
  "headers_refs": {
    "property1": "string",
    "property2": "string"
  },
  "created_at": null,
  "updated_at": null
}